//----------------------------------------------------------------------------------------------

// OpenClipView.h

//----------------------------------------------------------------------------------------------


#import <Cocoa/Cocoa.h>

#import "OpenClipDoc.h"

@interface OpenClipView : NSView
{
  OpenClipDoc*       mDoc;
  
  NSPrintInfo*       mPrintInfo;
}


- (id)initWithFrame:(NSRect)frame;
- (void)dealloc;
- (void)awakeFromNib;
- (void)setDocument:(OpenClipDoc *)thisDoc;

- (void)print:(id)sender;

- (void)updateFrame;
- (void)setPrintInfo:(NSPrintInfo *)p;
- (NSPrintInfo *)printInfo;
- (void)updateChartSize:(NSNotification *)n;

- (void)drawOpenClipLogo;

- (void)copyToPasteboard;

- (void)drawRect:(NSRect)rect;

- (BOOL)acceptsFirstResponder;
- (BOOL)resignFirstResponder;
- (BOOL)becomeFirstResponder;

@end
